std::filesystem::directory_iterator(3cxx)

NAME
std::filesystem::directory_iterator - Iterator type for traversing the entries in a single directory.

SYNOPSIS

#include <fs_dir.h>

  Public Types

typedef ptrdiff_t difference_type
typedef input_iterator_tag iterator_category
typedef const directory_entry * pointer
typedef const directory_entry & reference
typedef directory_entry value_type

  Public Member Functions

directory_iterator (const directory_iterator &__rhs)=default
directory_iterator (const path &__p)
directory_iterator (const path &__p, directory_options __options)
directory_iterator (const path &__p, directory_options __options, error_code &__ec)
directory_iterator (const path &__p, error_code &__ec)
directory_iterator (directory_iterator &&__rhs) noexcept=default
directory_iterator & increment (error_code &__ec)
const directory_entry & operator* () const noexcept
directory_iterator & operator++ ()
__directory_iterator_proxy operator++ (int)
const directory_entry * operator-> () const noexcept
directory_iterator & operator= (const directory_iterator &__rhs)=default
directory_iterator & operator= (directory_iterator &&__rhs) noexcept=default

  Friends

bool operator!= (const directory_iterator &__lhs, const directory_iterator &__rhs) noexcept
bool operator== (const directory_iterator &__lhs, const directory_iterator &__rhs) noexcept
class recursive_directory_iterator

  Related Symbols
(Note that these are not member symbols.)

directory_iterator begin (directory_iterator __iter) noexcept
Enable range-based for using directory_iterator.
directory_iterator end (directory_iterator) noexcept
Return a past-the-end directory_iterator.

Detailed Description

Iterator type for traversing the entries in a single directory.

Author

Generated automatically by Doxygen for libstdc++ from the source code.